import { lineNumbers as t, highlightActiveLineGutter as e, highlightSpecialChars as i, drawSelection as o, dropCursor as r, rectangularSelection as a, crosshairCursor as l, highlightActiveLine as m, keymap as p } from "../../../../@codemirror_view@6.36.4/node_modules/@codemirror/view/dist/index.js";
import { EditorView as V } from "../../../../@codemirror_view@6.36.4/node_modules/@codemirror/view/dist/index.js";
import { EditorState as h } from "../../../../@codemirror_state@6.5.2/node_modules/@codemirror/state/dist/index.js";
import { foldGutter as c, indentOnInput as n, syntaxHighlighting as s, bracketMatching as f, foldKeymap as g, defaultHighlightStyle as u } from "../../../../@codemirror_language@6.11.0/node_modules/@codemirror/language/dist/index.js";
import { history as y, defaultKeymap as d, historyKeymap as S } from "../../../../@codemirror_commands@6.8.0/node_modules/@codemirror/commands/dist/index.js";
import { highlightSelectionMatches as K, searchKeymap as k } from "../../../../@codemirror_search@6.5.10/node_modules/@codemirror/search/dist/index.js";
import { closeBrackets as b, autocompletion as w, closeBracketsKeymap as x, completionKeymap as C } from "../../../../@codemirror_autocomplete@6.18.6/node_modules/@codemirror/autocomplete/dist/index.js";
import { lintKeymap as M } from "../../../../@codemirror_lint@6.8.5/node_modules/@codemirror/lint/dist/index.js";
const I = [
  t(),
  e(),
  i(),
  y(),
  c(),
  o(),
  r(),
  h.allowMultipleSelections.of(!0),
  n(),
  s(u, { fallback: !0 }),
  f(),
  b(),
  w(),
  a(),
  l(),
  m(),
  K(),
  p.of([
    ...x,
    ...d,
    ...k,
    ...S,
    ...g,
    ...C,
    ...M
  ])
];
export {
  V as EditorView,
  I as basicSetup
};
